Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Class LDC_W

    java.lang.Object
      org.apache.bcel.generic.Instruction
          org.apache.bcel.generic.CPInstruction
              org.apache.bcel.generic.LDC
                  org.apache.bcel.generic.LDC_W

All Implemented Interfaces:
  Serializable, Cloneable, ExceptionThrower, IndexedInstruction, PushInstruction, StackProducer, TypedInstruction

    public class LDC_W

extends LDC

LDC_W - Push item from constant pool (wide index)

    Stack: ... -> ..., item.word1, item.word2

Version:
  $Id: LDC_W.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.CPInstruction
`index`

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`LDC_W(int index)`

Method Summary
`protected void` | `initFromFile(ByteSequence bytes, boolean wide)` Read needed data (i.e., index) from file.

Methods inherited from class org.apache.bcel.generic.LDC
`accept, dump, getExceptions, getType, getValue, setIndex, setSize`

Methods inherited from class org.apache.bcel.generic.CPInstruction
`getIndex, toString, toString`

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, produceStack, readInstruction, setComparator, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackProducer
`produceStack`

Constructor Detail

### LDC_W

    public LDC_W(int index)

Method Detail

### initFromFile

    protected void initFromFile(ByteSequence bytes,
                                boolean wide)
                         throws IOException

  Read needed data (i.e., index) from file.

  Overrides:
    `initFromFile` in class `LDC`
  Parameters:
    `bytes` - input stream
    `wide` - wide prefix?
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.